Summary: Calender application made with Tcl/Tk
Name: jp-ical 
Version: 2.2
Release: 1c
Source: http://www.research.digital.com/SRC/personal/Sanjay_Ghemawat/ical/icalbins/ical-2.2.tar.gz
Patch: ical-2.2-jp1.patch
Copyright: distributable
Group: Applications/Productivity
BuildRoot: /tmp/ical-root

%description
From the README:
Ical is a calendar application.  Some of the important features are:

    * Items can be created edited and deleted easily.
    * Items can be made to repeat in various ways.
    * Ical will post reminders for upcoming appointments.
    * Ical can print and list item occurrences.
    * Ical calendars can be shared by different users.
See also Ical homepage:
http://www.research.digital.com/SRC/personal/Sanjay_Ghemawat/ical/home.html

%prep
%setup -n ical-2.2
%patch -p1
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
mkdir -p $RPM_BUILD_ROOT/usr/local/lib
mkdir -p $RPM_BUILD_ROOT/usr/local/man

%build
./configure --with-tclsh='/usr/local/bin/tclsh7.6jp' \
	--with-tclconfig='/usr/local/lib' \
	--with-tkconfig='/usr/local/lib' \
	--with-tclhdir='/usr/local/include' \
	--with-tkhdir='/usr/local/include'
make OPTF='-O -DKANJI -DKINPUT2' X_LIBS='-L/usr/X11R6/lib -lX11'

%install
make install prefix="$RPM_BUILD_ROOT/usr/local"

strip $RPM_BUILD_ROOT/usr/local/bin/ical-2.2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc ANNOUNCE CHANGES.html COPYRIGHT* README INSTALL TODO doc/ical.html doc/interface.html
/usr/local/bin/ical-2.2
/usr/local/bin/ical
/usr/local/man/man1/ical.1
/usr/local/lib/ical
